The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> trunc, truncf, truncl - round to truncated integer value

#### SYNOPSIS

> ``#include <math.h>
> double trunc(double` x`);
> float truncf(float` x`);
> long double truncl(long double` x`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> These functions shall round their argument to the integer value, in floating format, nearest to but no larger in magnitude than the argument.

#### RETURN VALUE

> Upon successful completion, these functions shall return the truncated integer value.

> [MX] If x is NaN, a NaN shall be returned.

> If x is ±0 or ±Inf, x shall be returned.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> The Base Definitions volume of IEEE Std 1003.1-2001, <math.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]